Package org.apache.qpid.proton.engine

# Interface Extendable

All Known Subinterfaces:
  `Acceptor`, `Connection`, `Delivery`, `Endpoint`, `Event`, `Link`, `ProtonJConnection`, `ProtonJEndpoint`, `ProtonJSession`, `ProtonJTransport`, `Receiver`, `Selectable`, `Sender`, `Session`, `Task`, `Transport`, `TransportInternal`

All Known Implementing Classes:
  `AcceptorImpl`, `ConnectionImpl`, `DeliveryImpl`, `EndpointImpl`, `LinkImpl`, `ReactorImpl`, `ReceiverImpl`, `SelectableImpl`, `SenderImpl`, `SessionImpl`, `TaskImpl`, `TransportImpl`

public interface Extendable
Extendable

## Method Summary

Modifier and Type
Method
Description
`Record`
`attachments()`

## Method Details

### attachments

Record attachments()